//+------------------------------------------------------------------+
//|                                                    MTF_SR_T3.mq4 |
//|                                       http://www.prekybaforex.lt |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010 Nakagava Ltd."
#property link      "http://www.prekybaforex.lt"

#property indicator_chart_window

extern int Period_1=PERIOD_M30;
extern int Period_2=PERIOD_M30;
extern int Period_3=PERIOD_M30;
extern int Period_4=PERIOD_M30;
extern bool display_Period_1=true;
extern bool display_Period_2=true;
extern bool display_Period_3=true;
extern bool display_Period_4=true;
extern bool Play_Sound=true;

extern int    T3Period  = 14;
extern int    T3Price   = PRICE_TYPICAL;
extern double b         = 0.618;
extern string TimeFrame = "30";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
   int    i= Bars-counted_bars-1;
   double val[2];
   static datetime lastLongUpdate= 0;
   static datetime lastShortUpdate= 0;
   
   while(i>=0)
   {
      double MTF= iCustom(Symbol(), 0, "SR_MTF_Eli", Period_1,Period_2,Period_3,Period_4,
         display_Period_1,display_Period_2,display_Period_3,display_Period_4,Play_Sound, 1, i);
      double T3= iCustom(Symbol(), 0, "T3_clean", T3Period,T3Price,b,TimeFrame,0,i);
      
      if((i==0 && Bid>T3)||(i>0 && High[i]>T3))
     // if(((i==0 && Bid>MTF)||(i>0 && Close[i]>MTF))&& (Low[i]<=MTF))
      if((i==0 && Bid>MTF)&& (Low[i]<=MTF))
      if(lastLongUpdate!=Time[i])
      {
         lastLongUpdate= Time[i];
         Alert(/*TimeToStr(Time[i])+*/ "SRS Long "+Symbol());
      }
      
      if((i==0 && Bid<T3)||(i>0 && Low[i]<T3))
      //if(((i==0 && Bid<MTF)||(i>0 && Close[i]<MTF))&& (High[i]>=MTF))
      if((i==0 && Bid<MTF)&& (High[i]>=MTF))
      if(lastShortUpdate!=Time[i])
      {
         lastShortUpdate= Time[i];
         Alert(/*TimeToStr(Time[i])+ */"SRS Short "+Symbol());         
      }
      
      i--;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+